<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('join_team_submissions', function (Blueprint $table) {
            $table->id();
            $table->string('name')->nullable();
            $table->string('surname')->nullable();
            $table->string('grade')->nullable();
            $table->string('section')->nullable();
            $table->string('phone_number')->nullable();
            $table->string('email')->nullable();
            $table->text('message')->nullable();
            $table->foreignId('game_id')->nullable()->constrained('games');
            $table->timestamps();
        });
    }



    public function down(): void
    {
        Schema::dropIfExists('join_team_submissions');
    }
};
